Subject: Re: [PATCH net 3/6] ionic: add check for NULL t/rxqcqs in reconfig

From: Jakub Kicinski <[email-masked]>
Date: Thu, 2 Feb 2023 12:46:15 -0800

On Thu, 2 Feb 2023 12:06:52 -0800 Shannon Nelson wrote:
> On 2/2/23 10:05 AM, Jakub Kicinski wrote:
> > On Wed, 1 Feb 2023 17:29:59 -0800 Shannon Nelson wrote:  
> >> Make sure there are qcqs to clean before trying to swap resources
> >> or clean their interrupt assignments.  
> > 
> > ... Otherwise $what-may-happen
> > 
> > Bug fixes should come with an explanation of what the user-visible
> > misbehavior is  
> 
> I can add some text here and post a v2.
> 
> Would you prefer I repost some of these as net-next rather than net as 
> Leon was suggesting, or keep this patchset together for v2?  I have a 
> couple other larger net-next patches getting ready as well...

I'm not sure what the user impact of the fixes is, but at a glance
splitting this into separate series makes most sense. We merge net 
into net-next every Thu, so if there is a dependency the wait should
not be too long.